import React from "react";
import {
  StyleSheet,
  Text,
  View,
} from 'react-native';


const styles = StyleSheet.create({
  bigblue: {
    color: 'blue',
    fontWeight: 'bold',
    fontSize: 30,
  },
  red: {
    color: 'red',
  },
});

class LotsOfStyles extends React.Component {
  render() {
    return (
      <View>
        <Text style={styles.bigblue}>Just big blue</Text>
        <Text style={styles.red}>Just red</Text>
        <Text style={[styles.bigblue, styles.red]}>Big blue, then red</Text>
        <Text style={[styles.red, styles.bigblue]}>Red, then big blue</Text>
      </View>
    );
  }
}

export default LotsOfStyles;
